				<%-- Images, videos and other files --%>
				<ja:if test="${thumbCount}" not value="0"><div class="thumbs">
					<ul><% i = 0; %><ja:fileiterator nodirs>
					<%	updateLocal();
						if ( !(_type.equals("audio") && useAlbumAudioAsBackground) ) {
							
							out.print("<li" + ((i % thumbCols == 0)?" style=\"clear:left;\"" : "") + ">");
							
							// Link to closeup: a HTML page or the image itself
							out.print("<a href=\"" + (makeSlides? closeupPath : _imagePath) + "\"");
							
							// Thumbnail caption as tooltip
							if ( captionPlacement.equals("tooltip") )
								out.print(attr("title", cleanup(_thumbCaption))); 
							
							// The thumbnail as iconPath or "load.gif"
							out.print("><img src=\"" + _thumbPath + "\"");
							
							// Alt tags for SEO
							if ( addAltTags != void && addAltTags )
								out.print(attr("alt", _alt));
							
							// closeup and thumbnail extensions
							out.print(data("src", thumbPath));
							out.print(data("ext", _ext));
							if ( !_ext.equals(_thumbExt) )
								out.print(data("thumbext", _thumbExt));
							
							// Image data
							out.print(data("caption", cleanup(_caption)));
							out.print(data("modified", _modifiedDays));
							out.print(data("size", _fileSize));
							
							// Link to original
							if ( !isEmpty( _link ) ) { 
								out.print(data("link", _link));
								if ( _original ) 
									out.print(data("isoriginal", "true"));
							}
							
							// Link to closeup images if makeSlides
							if ( makeSlides && !copyOriginals ) {
								out.print(data("closeup", imagePath));
							}
							
							// Type-spcific parameters
							switch( _type ) {
								
								case "image":
									
									out.print(data("width", imageWidth));
									out.print(data("height", imageHeight));
									out.print(data("meta", _meta));
									out.print(data("regions", _regions));
									break;
								
								case "audio":
									
									out.print(data("isaudio", true));
									if ( iconPath == void || isEmpty(iconPath) )
										out.print(data("poster", imagePath)); 
									break;
																
								case "video":
									
									out.print(data("isvideo", true));
									out.print(data("width", _boxWidth));
									out.print(data("height", _boxHeight));
									if ( (iconPath == void || isEmpty(iconPath)) && !linkOriginals )
										out.print(data("poster", imagePath)); 
									break;
								
								default:
									
									out.print(data("isother", true));
									if ( externalContent != void && !isEmpty(externalContent) )
										out.print(data("content", externalContent.replaceAll("\"","&#34;")));
									if ( _boxWidth > 0 && _boxHeight > 0 ) {
										out.print(data("width", _boxWidth));
										out.print(data("height", _boxHeight));
									}
							}
							
							// Map data
							if ( showMap ) {
								String l = getLocation();
								if ( l != null ) {
									out.print(data("map", stripQuot(l)));
									out.print(data("mapid", locationCount));
									locationCount++; 
								}
							}
							
							// Shop data
							if ( showShop ) {
								String s = getShop();
								if ( s != null ) {
									out.print(data("shop", stripQuot(s)));
									shopCount++;
								}
							}
							
							out.print("></a>");
							
							// Thumbnail caption placed below
							if ( captionPlacement.equals("below") )
								out.print("<p>" + _thumbCaption + "</p>");
							out.println("</li>");
						}
						i++;
					%></ja:fileiterator>
					</ul>
				</div></ja:if>

